<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>org.apache.commons.dbcp2.managed Class Hierarchy (Apache Commons DBCP 2.8.0 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.commons.dbcp2.managed Class Hierarchy (Apache Commons DBCP 2.8.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/dbcp2/datasources/package-tree.html">Prev</a></li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/dbcp2/managed/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package org.apache.commons.dbcp2.managed</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Object</span></a>
<ul>
<li type="circle">org.apache.commons.dbcp2.<a href="../../../../../org/apache/commons/dbcp2/AbandonedTrace.html" title="class in org.apache.commons.dbcp2"><span class="typeNameLink">AbandonedTrace</span></a> (implements org.apache.commons.pool2.<a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/TrackedUse.html?is-external=true" title="class or interface in org.apache.commons.pool2">TrackedUse</a>)
<ul>
<li type="circle">org.apache.commons.dbcp2.<a href="../../../../../org/apache/commons/dbcp2/DelegatingConnection.html" title="class in org.apache.commons.dbcp2"><span class="typeNameLink">DelegatingConnection</span></a>&lt;C&gt; (implements java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a>)
<ul>
<li type="circle">org.apache.commons.dbcp2.managed.<a href="../../../../../org/apache/commons/dbcp2/managed/ManagedConnection.html" title="class in org.apache.commons.dbcp2.managed"><span class="typeNameLink">ManagedConnection</span></a>&lt;C&gt;</li>
<li type="circle">org.apache.commons.dbcp2.<a href="../../../../../org/apache/commons/dbcp2/PoolableConnection.html" title="class in org.apache.commons.dbcp2"><span class="typeNameLink">PoolableConnection</span></a> (implements org.apache.commons.dbcp2.<a href="../../../../../org/apache/commons/dbcp2/PoolableConnectionMXBean.html" title="interface in org.apache.commons.dbcp2">PoolableConnectionMXBean</a>)
<ul>
<li type="circle">org.apache.commons.dbcp2.managed.<a href="../../../../../org/apache/commons/dbcp2/managed/PoolableManagedConnection.html" title="class in org.apache.commons.dbcp2.managed"><span class="typeNameLink">PoolableManagedConnection</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.apache.commons.dbcp2.<a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html" title="class in org.apache.commons.dbcp2"><span class="typeNameLink">BasicDataSource</span></a> (implements java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AutoCloseable.html?is-external=true" title="class or interface in java.lang">AutoCloseable</a>, org.apache.commons.dbcp2.<a href="../../../../../org/apache/commons/dbcp2/BasicDataSourceMXBean.html" title="interface in org.apache.commons.dbcp2">BasicDataSourceMXBean</a>, javax.sql.<a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/DataSource.html?is-external=true" title="class or interface in javax.sql">DataSource</a>, javax.management.<a href="https://docs.oracle.com/javase/8/docs/api/javax/management/MBeanRegistration.html?is-external=true" title="class or interface in javax.management">MBeanRegistration</a>)
<ul>
<li type="circle">org.apache.commons.dbcp2.managed.<a href="../../../../../org/apache/commons/dbcp2/managed/BasicManagedDataSource.html" title="class in org.apache.commons.dbcp2.managed"><span class="typeNameLink">BasicManagedDataSource</span></a></li>
</ul>
</li>
<li type="circle">org.apache.commons.dbcp2.managed.<a href="../../../../../org/apache/commons/dbcp2/managed/DataSourceXAConnectionFactory.html" title="class in org.apache.commons.dbcp2.managed"><span class="typeNameLink">DataSourceXAConnectionFactory</span></a> (implements org.apache.commons.dbcp2.managed.<a href="../../../../../org/apache/commons/dbcp2/managed/XAConnectionFactory.html" title="interface in org.apache.commons.dbcp2.managed">XAConnectionFactory</a>)</li>
<li type="circle">org.apache.commons.dbcp2.managed.<a href="../../../../../org/apache/commons/dbcp2/managed/LocalXAConnectionFactory.html" title="class in org.apache.commons.dbcp2.managed"><span class="typeNameLink">LocalXAConnectionFactory</span></a> (implements org.apache.commons.dbcp2.managed.<a href="../../../../../org/apache/commons/dbcp2/managed/XAConnectionFactory.html" title="interface in org.apache.commons.dbcp2.managed">XAConnectionFactory</a>)</li>
<li type="circle">org.apache.commons.dbcp2.managed.<a href="../../../../../org/apache/commons/dbcp2/managed/LocalXAConnectionFactory.LocalXAResource.html" title="class in org.apache.commons.dbcp2.managed"><span class="typeNameLink">LocalXAConnectionFactory.LocalXAResource</span></a> (implements javax.transaction.xa.<a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/xa/XAResource.html?is-external=true" title="class or interface in javax.transaction.xa">XAResource</a>)</li>
<li type="circle">org.apache.commons.dbcp2.managed.<a href="../../../../../org/apache/commons/dbcp2/managed/ManagedConnection.CompletionListener.html" title="class in org.apache.commons.dbcp2.managed"><span class="typeNameLink">ManagedConnection.CompletionListener</span></a> (implements org.apache.commons.dbcp2.managed.<a href="../../../../../org/apache/commons/dbcp2/managed/TransactionContextListener.html" title="interface in org.apache.commons.dbcp2.managed">TransactionContextListener</a>)</li>
<li type="circle">org.apache.commons.dbcp2.<a href="../../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html" title="class in org.apache.commons.dbcp2"><span class="typeNameLink">PoolableConnectionFactory</span></a> (implements org.apache.commons.pool2.<a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/PooledObjectFactory.html?is-external=true" title="class or interface in org.apache.commons.pool2">PooledObjectFactory</a>&lt;T&gt;)
<ul>
<li type="circle">org.apache.commons.dbcp2.managed.<a href="../../../../../org/apache/commons/dbcp2/managed/PoolableManagedConnectionFactory.html" title="class in org.apache.commons.dbcp2.managed"><span class="typeNameLink">PoolableManagedConnectionFactory</span></a></li>
</ul>
</li>
<li type="circle">org.apache.commons.dbcp2.<a href="../../../../../org/apache/commons/dbcp2/PoolingDataSource.html" title="class in org.apache.commons.dbcp2"><span class="typeNameLink">PoolingDataSource</span></a>&lt;C&gt; (implements java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AutoCloseable.html?is-external=true" title="class or interface in java.lang">AutoCloseable</a>, javax.sql.<a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/DataSource.html?is-external=true" title="class or interface in javax.sql">DataSource</a>)
<ul>
<li type="circle">org.apache.commons.dbcp2.managed.<a href="../../../../../org/apache/commons/dbcp2/managed/ManagedDataSource.html" title="class in org.apache.commons.dbcp2.managed"><span class="typeNameLink">ManagedDataSource</span></a>&lt;C&gt;</li>
</ul>
</li>
<li type="circle">org.apache.commons.dbcp2.managed.<a href="../../../../../org/apache/commons/dbcp2/managed/TransactionContext.html" title="class in org.apache.commons.dbcp2.managed"><span class="typeNameLink">TransactionContext</span></a></li>
<li type="circle">org.apache.commons.dbcp2.managed.<a href="../../../../../org/apache/commons/dbcp2/managed/TransactionRegistry.html" title="class in org.apache.commons.dbcp2.managed"><span class="typeNameLink">TransactionRegistry</span></a></li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">org.apache.commons.dbcp2.<a href="../../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2"><span class="typeNameLink">ConnectionFactory</span></a>
<ul>
<li type="circle">org.apache.commons.dbcp2.managed.<a href="../../../../../org/apache/commons/dbcp2/managed/XAConnectionFactory.html" title="interface in org.apache.commons.dbcp2.managed"><span class="typeNameLink">XAConnectionFactory</span></a></li>
</ul>
</li>
<li type="circle">org.apache.commons.dbcp2.managed.<a href="../../../../../org/apache/commons/dbcp2/managed/TransactionContextListener.html" title="interface in org.apache.commons.dbcp2.managed"><span class="typeNameLink">TransactionContextListener</span></a></li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/dbcp2/datasources/package-tree.html">Prev</a></li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/dbcp2/managed/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2020 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
